package com.rjconsultores.ventaboletos.web.gui.controladores.impressaofiscal;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.FiscalTotnaofiscalEmpresa;
import com.rjconsultores.ventaboletos.entidad.TipoEventoExtra;

public class TotnaofiscalEmpresaListItemRenderer implements ListitemRenderer {
	
	@Override
	public void render(Listitem listItem, Object obj) throws Exception {
		FiscalTotnaofiscalEmpresa totnaofiscalEmpresa = (FiscalTotnaofiscalEmpresa)obj;

		Listcell idCell =  new Listcell(totnaofiscalEmpresa.getFiscaltotnaofiscalId().toString());
		idCell.setParent(listItem);
		
		Listcell empresaCell =  new Listcell(totnaofiscalEmpresa.getEmpresa().toString());
		empresaCell.setParent(listItem);
		
		Listcell tipoTotalizadorCell =  new Listcell(totnaofiscalEmpresa.getTipototalizador());
		tipoTotalizadorCell.setParent(listItem);
		
		Listcell descricaoCell =  new Listcell(totnaofiscalEmpresa.getDescricao());
		descricaoCell.setParent(listItem);
		

		TipoEventoExtra tipoEventoExtra = totnaofiscalEmpresa.getTipoeventoextra();
		Listcell tipoeventoextraCell =  new Listcell((tipoEventoExtra != null)?tipoEventoExtra.toString():"");
		tipoeventoextraCell.setParent(listItem);	
					
		listItem.setAttribute("data", totnaofiscalEmpresa);
	}

}
